daily upgrade 12.7.

Bugs in eFa 4
Post Reply
arazim1284
Posts: 12
Joined: 09 Mar 2015 12:21

daily upgrade 12.7.

Post by arazim1284 » 12 Jul 2021 07:38

/etc/cron.daily/0yum-daily.cron:

Failed to check for updates with the following error message:
Failed to build transaction: mariadb102-server conflicts with 1:mariadb101u-server-10.1.41-1.el7.ius.x86_64
mariadb101u-common conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb102 conflicts with 1:mariadb101u-10.1.41-1.el7.ius.x86_64
mariadb101u-config conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb101u-errmsg conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb101u-libs conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64

Any idea what to do with it?

Thanx

victorburgos
Posts: 19
Joined: 13 May 2017 20:53

Re: daily upgrade 12.7.

Post by victorburgos » 12 Jul 2021 23:54

Same problem here:

Installed version 1:4.0.4-13.eFa.el7
Available version 1:4.0.4-14.eFa.el7

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.its.dal.ca
* eFa4: dl7.efa-project.org
* epel: d2lzkl7pfhq30w.cloudfront.net
* extras: centos.mirror.globo.tech
* updates: mirror.dst.ca
Resolving Dependencies
--> Running transaction check
---> Package eFa.noarch 1:4.0.4-13.eFa.el7 will be updated
---> Package eFa.noarch 1:4.0.4-14.eFa.el7 will be an update
--> Processing Dependency: mariadb102-server >= 3:10.2.30-1 for package: 1:eFa-4.0.4-14.eFa.el7.noarch
--> Running transaction check
---> Package mariadb102-server.x86_64 3:10.2.30-1.el7.ius will be installed
--> Processing Dependency: mariadb102-errmsg(x86-64) = 3:10.2.30-1.el7.ius for package: 3:mariadb102-server-10.2.30-1.el7.ius.x86_64
--> Processing Dependency: mariadb102-common(x86-64) = 3:10.2.30-1.el7.ius for package: 3:mariadb102-server-10.2.30-1.el7.ius.x86_64
--> Processing Dependency: mariadb-libs(x86-64) < 1:10 for package: 3:mariadb102-server-10.2.30-1.el7.ius.x86_64
--> Processing Dependency: mariadb102(x86-64) for package: 3:mariadb102-server-10.2.30-1.el7.ius.x86_64
--> Running transaction check
---> Package mariadb-libs.x86_64 1:5.5.68-1.el7 will be installed
---> Package mariadb102.x86_64 3:10.2.30-1.el7.ius will be installed
--> Processing Dependency: mariadb102-libs(x86-64) = 3:10.2.30-1.el7.ius for package: 3:mariadb102-10.2.30-1.el7.ius.x86_64
---> Package mariadb102-common.x86_64 3:10.2.30-1.el7.ius will be installed
---> Package mariadb102-errmsg.x86_64 3:10.2.30-1.el7.ius will be installed
--> Running transaction check
---> Package mariadb102-libs.x86_64 3:10.2.30-1.el7.ius will be installed
--> Processing Conflict: 1:mariadb101u-common-10.1.41-1.el7.ius.x86_64 conflicts mariadb-libs < 1:10.1.41-1.el7.ius
--> Processing Conflict: 1:mariadb101u-config-10.1.41-1.el7.ius.x86_64 conflicts mariadb-libs < 1:10.1.41-1.el7.ius
--> Processing Conflict: 1:mariadb101u-errmsg-10.1.41-1.el7.ius.x86_64 conflicts mariadb-libs < 1:10.1.41-1.el7.ius
--> Processing Conflict: 1:mariadb101u-libs-10.1.41-1.el7.ius.x86_64 conflicts mariadb-libs < 1:10.1.41-1.el7.ius
--> Processing Conflict: 3:mariadb102-server-10.2.30-1.el7.ius.x86_64 conflicts mariadb-server < 3:10.2.30-1.el7.ius
--> Processing Conflict: 3:mariadb102-10.2.30-1.el7.ius.x86_64 conflicts mariadb < 3:10.2.30-1.el7.ius
--> Finished Dependency Resolution
Error: mariadb102-server conflicts with 1:mariadb101u-server-10.1.41-1.el7.ius.x86_64
Error: mariadb101u-common conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
Error: mariadb102 conflicts with 1:mariadb101u-10.1.41-1.el7.ius.x86_64
Error: mariadb101u-config conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
Error: mariadb101u-errmsg conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
Error: mariadb101u-libs conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64

You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

max_of_tl
Posts: 8
Joined: 07 Jan 2021 18:47

Re: daily upgrade 12.7.

Post by max_of_tl » 13 Jul 2021 12:24

I was just about to ask that very same question.

ayh20
Posts: 13
Joined: 13 May 2015 13:01

Re: daily upgrade 12.7.

Post by ayh20 » 13 Jul 2021 12:37

And here ....

Pukkeltje
Posts: 11
Joined: 08 Sep 2016 08:32

Re: daily upgrade 12.7.

Post by Pukkeltje » 13 Jul 2021 13:03

Same problem here. I think the upgrade for MariaDB 10.1 to 10.2 is a major upgrade and needs an uninstall of MariaDB 10.1...

victorburgos
Posts: 19
Joined: 13 May 2017 20:53

Re: daily upgrade 12.7.

Post by victorburgos » 13 Jul 2021 16:17

I found this information on this link: https://github.com/iusrepo/mariadb101u/issues/10
But I don´t feel comfortable executing them, I don´t want to brake upgradability.
Expert advise would be appreciated.

The issue is that you already have mariadb-libs (stock) installed, and they conflict with each other due to files being in the same locations. You either have to remove mariadb-libs first, or swap mariadb-libs and mariadb101u-libs in a single transaction.

Code: Select all

yum swap mariadb-libs mariadb101u-libs
You could also use yum shell to install more packages in the same transaction.

Code: Select all

# yum shell
> erase mariadb-libs
> install mariadb101u-libs mariadb101u-server
> run

ajmind
Posts: 43
Joined: 28 Mar 2017 15:26

Re: daily upgrade 12.7.

Post by ajmind » 14 Jul 2021 14:07

Code: Select all

 yum swap mariadb-libs mariadb101u-libs

Code: Select all

# yum shell
> erase mariadb-libs
> install mariadb101u-libs mariadb101u-server
> run
Does not solve the problem on my install. :think: :?:

kikowss
Posts: 3
Joined: 31 May 2021 08:54

Re: daily upgrade 12.7.

Post by kikowss » 14 Jul 2021 14:19

Same problem here...

/etc/cron.daily/0yum-daily.cron:

Failed to check for updates with the following error message:
Failed to build transaction: mariadb102-server conflicts with 1:mariadb101u-server-10.1.41-1.el7.ius.x86_64
mariadb101u-common conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb102 conflicts with 1:mariadb101u-10.1.41-1.el7.ius.x86_64
mariadb101u-config conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb101u-errmsg conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64
mariadb101u-libs conflicts with 1:mariadb-libs-5.5.68-1.el7.x86_64

r00tsh3ll
Posts: 4
Joined: 14 Feb 2021 06:34

Re: daily upgrade 12.7.

Post by r00tsh3ll » 15 Jul 2021 23:00

Hello,

I had the same issue too.

After digging a bit, I found an explanation about what is going on here: https://github.com/iusrepo/mariadb102/w ... ementation.

I was able to do the update with the following steps:

Install DNF

Code: Select all

yum install dnf
Upgrade mariadb using DNF and --allowerasing:

Code: Select all

dnf --allowerasing install mariadb102-server
Upgrade the existing inststallation db files

Code: Select all

mysql_upgrade
Restart and enable mariadb

Code: Select all

systemctl restart mariadb
systemctl enable mariadb
Check if there is something left to upgrade

Code: Select all

yum upgrade
It worked for me but try it at your own risk ...

EDIT:
After the upgrade the data wasn't injected anymore in the MailWatch database. I guess some other services need a restart too so it reconnects to the DB, but in a hurry a did a reboot of the VM to restart everything, which fixed the problem.

kikowss
Posts: 3
Joined: 31 May 2021 08:54

Re: daily upgrade 12.7.

Post by kikowss » 16 Jul 2021 07:06

It worked for me too - eFa-4.0.4 centos7.
Thank you r00tsh3ll ! :)

cobaltsupport
Posts: 3
Joined: 04 Oct 2017 08:51

Re: daily upgrade 12.7.

Post by cobaltsupport » 16 Jul 2021 11:31

Many thanks - The fix also worked for me! ;)

ajmind
Posts: 43
Joined: 28 Mar 2017 15:26

Re: daily upgrade 12.7.

Post by ajmind » 16 Jul 2021 11:41

I have used the swap method:

Code: Select all

yum swap -- mariadb101u-config mariadb101u-server -- mariadb102-server
Unfortunately I had overlooked that this leads to

Code: Select all

Jul 16 11:51:28 Erased: 1:eFa-4.0.4-13.eFa.el7.noarch
Jul 16 11:51:32 Erased: 1:mariadb101u-server-10.1.41-1.el7.ius.x86_64
Jul 16 11:51:33 Erased: 1:mariadb101u-errmsg-10.1.41-1.el7.ius.x86_64
Jul 16 11:51:33 Erased: 1:mariadb101u-10.1.41-1.el7.ius.x86_64
Jul 16 11:51:33 Erased: 1:mariadb101u-libs-10.1.41-1.el7.ius.x86_64
Jul 16 11:51:33 Erased: 1:mariadb101u-common-10.1.41-1.el7.ius.x86_64
Jul 16 11:51:33 Erased: 1:mariadb101u-config-10.1.41-1.el7.ius.x86_64
So I had to

Code: Select all

yum install eFa
which was finally successful.

sunnyg
Posts: 24
Joined: 08 Mar 2018 21:26

Re: daily upgrade 12.7.

Post by sunnyg » 16 Jul 2021 15:01

Thanks, the steps given worked for me :)

max_of_tl
Posts: 8
Joined: 07 Jan 2021 18:47

Re: daily upgrade 12.7.

Post by max_of_tl » 16 Jul 2021 19:45

r00tsh3ll wrote:
15 Jul 2021 23:00

Code: Select all

mysql_upgrade
Thanks r00tsh3ll. Your suggestions worked. The only thing I had to do differently was restart mariadb before running mysql_upgrade (otherwise it gives an error). Then reboot.

Good call man!
:clap:

User avatar
shawniverson
Posts: 3423
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: daily upgrade 12.7.

Post by shawniverson » 17 Jul 2021 13:59

eFa-4.0.4-16 should help alleviate these conflicts (hopefully).

Post Reply